Name:           pandaseq
Version:        2.9
Release:        1%{?dist}
Summary:        Pair-end read assembly
Group:          Applications/Engineering

License:        GPLv3+
Source:         https://github.com/neufeld/pandaseq/archive/v%{version}.tar.gz
URL:            http://github.com/neufeld/pandaseq

BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
BuildRequires:  libtool-ltdl-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
PANDA assembles forward and reverse reads from Illumina FASTQ data

%package devel
Summary:        Pair-end read assembly -- Development tools
Requires:       libtool
Requires:       pandaseq-lib

%description devel
PANDA assembles forward and reverse reads from Illumina FASTQ data
This package contains development tools for creating PANDAseq
validation modules. If you are only assembling sequences, this is
not necessary.

%package lib
Summary:        Pair-end read assembly -- Libraries

%description lib
PANDA assembles forward and reverse reads from Illumina FASTQ data
This package contains shared libraries.

%prep
%setup

%build
autoreconf -i
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.la %{buildroot}%{_libdir}/pandaseq*/*.la

%clean
rm -rf ${buildroot}

%files devel
%{_bindir}/pandaxs
%{_includedir}/pandaseq*/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libpandaseq*.so
%{_datarootdir}/vala/vapi/*
%doc %{_mandir}/man1/pandaxs.1.gz
%doc %{_defaultdocdir}/pandaseq/plugin_sample.c

%files lib
%{_libdir}/libpandaseq*.so.*
%{_libdir}/pandaseq*/*.so*

%files
%{_bindir}/pandaseq*
%doc %{_mandir}/man1/pandaseq*.1.gz
%doc %{_defaultdocdir}/pandaseq/README

%post
/sbin/ldconfig

%postun
/sbin/ldconfig
